package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxSlideshow;
import com.propertyManagement.business.domain.vo.WxSlideshowVo;
import com.propertyManagement.business.domain.bo.WxSlideshowBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 轮播图
Service接口
 *
 * @author liushuai
 * @date 2025-06-09
 */
public interface IWxSlideshowService {

    /**
     * 查询轮播图

     */
    WxSlideshowVo queryById(Long id);

    /**
     * 查询轮播图
列表
     */
    TableDataInfo<WxSlideshowVo> queryPageList(WxSlideshowBo bo, PageQuery pageQuery);

    /**
     * 查询轮播图
列表
     */
    List<WxSlideshowVo> queryList(WxSlideshowBo bo);

    /**
     * 新增轮播图

     */
    Boolean insertByBo(WxSlideshowBo bo);

    /**
     * 修改轮播图

     */
    Boolean updateByBo(WxSlideshowBo bo);

    /**
     * 校验并批量删除轮播图
信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
